Name:           octave-forge
Version:        2004.11.16
Release:        8%{?dist}
Summary:        Contributed functions for octave

Group:          Applications/Engineering
License:        Public Domain
URL:            http://octave.sourceforge.net
## Source0:        ftp://download.sourceforge.net/pub/sourceforge/o/oc/octave/%{name}-%{version}.tar.gz
## The original sources contain a non-free tree of functions that are
## GPL incompatible. A patched version with the non-free sources removed
## is created as follows:
## tar xzf octave-forge-%{version}.tar.gz
## rm -Rf octave-forge-%{version}/nonfree/
## tar czf octave-forge-%{version}.patched.tar.gz octave-forge-%{version}
## rm -Rf octave-forge-%{version}
Source0:        %{name}-%{version}.patched.tar.gz
Patch0:         %{name}-2004.11.16-legend.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)


## Octave-forge installs in a directory tree specific to the installed
## version of octave, so the following version dependency is necessary.
%define octave_ep  %(rpm -q --qf '%%{epoch}' octave)
%define octave_ver %(rpm -q --qf '%%{version}' octave)
Requires:	octave = %{octave_ep}:%{octave_ver} ImageMagick
BuildRequires:  octave octave-devel tetex gcc-g77 GiNaC-devel readline-devel
BuildRequires:  xorg-x11-devel libjpeg-devel libpng-devel zlib-devel
BuildRequires:  ncurses-devel libtermcap-devel gsl-devel qhull-devel

%description
Octave-forge is a community project for collaborative development of
octave extensions. The extensions in this package include additional
data types such as sparse matrices, and functions for a variety of
different applications including signal and image processing,
communications, control, optimization, statistics, geometry, and
symbolic math.

%prep
%setup -q
%patch0 -p0

%build
## This prevents compiling of the fixed-point toolbox, which fails with the
## version of octave (2.1.57) included in FC3.
touch main/fixed/NOINSTALL
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%define host_type %(echo "disp(octave_config_info('canonical_host_type'))" | octave -qf)
%define site_dir octave/%{octave_ver}/site
make install prefix=$RPM_BUILD_ROOT%{_prefix} \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	MPATH=$RPM_BUILD_ROOT%{_datadir}/%{site_dir}/m/octave-forge \
	OPATH=$RPM_BUILD_ROOT%{_libexecdir}/%{site_dir}/oct/%{host_type}/octave-forge \
	XPATH=$RPM_BUILD_ROOT%{_libexecdir}/%{site_dir}/exec/%{host_type} \
	ALTPATH=$RPM_BUILD_ROOT%{_datadir}/%{site_dir}/octave-forge-alternative/m \
	ALTMPATH=$RPM_BUILD_ROOT%{_datadir}/%{site_dir}/octave-forge-alternative/m/octave-forge \
	ALTOPATH=$RPM_BUILD_ROOT%{_libexecdir}/%{site_dir}/octave-forge-alternative/oct/%{host_type}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc COPYING* README RELEASE-NOTES TODO
%doc doc/*.html doc/coda/*.sgml doc/coda/appendices/*.sgml
%doc doc/coda/oct/*.sgml doc/coda/standalone/*.sgml
%{_datadir}/octave/*
%{_libexecdir}/octave/*
%{_bindir}/mex
%{_mandir}/man1/mex*


%changelog
* Wed Jun 22 2005 Quentin Spencer <qspencer@users.sf.net> 2005.11.16-8
- Corrected instructions on creating patched source tarball.
- Remove explicit BuildRequires for c++ compiler and libs
  (not needed and causes build failure in the build system for x86_64).
- Add patch for problem with main/plot/legend.m
- Require octave (FC-3 octave-devel package doesn't).

* Sat Jun 11 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-7
- Cleanup of unneeded things in build section

* Mon Apr 25 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-7
- Changed license (some functions are GPL, BSD, and public domain,
  so the collection is licensed as public domain).
- Moved ugly path hacks from build to install so that RPM_BUILD_ROOT
  doesn't end up in the code (which it did before).
- Replaced upstream tarball with patched version that removed GPL
  incompatible code.

* Thu Apr 21 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-6
- Added GiNaC-devel BuildRequires

* Tue Mar 29 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-5
- Rebuild for octave-2.1.69

* Mon Mar 28 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-4
- Rebuild for octave-2.1.68

* Thu Feb 24 2005 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-3
- Updated spec file to get octave version at build time.

* Wed Nov 17 2004 Quentin Spencer <qspencer@users.sf.net> 2004.11.16-2
- Revised package description.

* Tue Jun 15 2004 Quentin Spencer <qspencer@users.sf.net>
- Added qhull support.

* Tue Feb  4 2003 Quentin Spencer <qspencer@users.sf.net>
- First Version, loosely based on Red Hat's spec file for octave.
